# [OmniOS-discuss] Crashing qemu process

Filip Marvan filip.marvan at aira.cz
Wed Oct 15 09:17:56 UTC 2014

- Previous message: [OmniOS-discuss] Ang: backup fiber channel SAN
- Next message: [OmniOS-discuss] Crashing qemu process
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

    Hi,

    I'm doing some tests with KVM on OmniOS. I have two virtual servers, one with Windows XP, which works without any problems, but the second one with Windows 2008 R2 server is crashing after some time. Qemu proces just crashed (after about one hour after VPS starts). There is nothing strange in /var/adm/messages, and i think that -d aption for debuging informations is not working (/tmp/qemu.log is empty even for -d exec for example).

    Do you have any idea, how can I find what causes, that qemu proces is crashing? Do anybody havy any experiences with something like this?

    Thank you,

    Filip Marvan

    My configuration looks like this:

    # configuration
    VNIC=vnic3
    HDD=/dev/zvol/rdsk/data/server_system
    CD=/root/kvm/iso/virtio-win-0.1-81.iso
    VNC=8
    MEM=8192

    mac="2:8:20:dd:19:ed"

    /usr/bin/qemu-system-x86_64 \
            -d exec \
            -name "VPS" \
            -boot c \
            -enable-kvm \
            -vnc 0.0.0.0:$VNC \
            -smp cores=4,threads=1,sockets=1 \
            -m $MEM \
            -no-hpet \
            -localtime \
            -drive file=$HDD,if=virtio,cache=none,aio=native,index=0 \
            -drive file=$CD,media=cdrom,if=ide,index=2 \
            -net nic,vlan=0,name=net0,model=virtio,macaddr=$mac \
            -net vnic,vlan=0,name=net0,ifname=$VNIC,macaddr=$mac \
            -vga std \
            -cpu core2duo \
            -usbdevice tablet \
            -balloon virtio \
            -chardev socket,id=monitor,path=/tmp/VPS.monitor,server,nowait,nodelay \
            -monitor chardev:monitor \
            -daemonize
    -------------- next part --------------
    An HTML attachment was scrubbed...
    URL: <http://lists.omniti.com/pipermail/omnios-discuss/attachments/20141015/e372731a/attachment.html>

- Previous message: [OmniOS-discuss] Ang: backup fiber channel SAN
- Next message: [OmniOS-discuss] Crashing qemu process
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

More information about the OmniOS-discuss mailing list